Bug 111058

Summary: [EFL][Qt] plugins/plugin-clip-subframe.html is failing
Product: WebKit Reporter: Zan Dobersek <zan>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED WONTFIX    
Severity: Normal CC: jbauman, kadam, mcatanzaro, naginenis
Priority: P2 Keywords: Gtk, LayoutTestFailure
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   

Description Zan Dobersek 2013-02-28 02:07:26 PST
The plugins/plugin-clip-subframe.html layout test is failing, introduced in r144236.
http://trac.webkit.org/changeset/144236
http://test-results.appspot.com/dashboards/flakiness_dashboard.html#group=%40ToT%20-%20webkit.org&tests=plugins%2Fplugin-clip-subframe.html

Diff:
--- /home/slave/webkitgtk/gtk-linux-64-release/build/layout-test-results/plugins/plugin-clip-subframe-expected.txt
+++ /home/slave/webkitgtk/gtk-linux-64-release/build/layout-test-results/plugins/plugin-clip-subframe-actual.txt
@@ -1,3 +1,2 @@
-CONSOLE MESSAGE: line 3: NPP_SetWindow: non-NULL window, Rect {18, 218, 300, 150}, Clip Rect {65518, 65318, 65518, 65318}, Type 1
-CONSOLE MESSAGE: line 3: NPP_SetWindow: non-NULL window, Rect {18, 218, 300, 150}, Clip Rect {0, 0, 90, 150}, Type 1
+CONSOLE MESSAGE: PLUGIN: NPP_New: Could not find a test named "log-npp-set-window", maybe its .cpp file wasn't added to the build system?
Comment 2 Zan Dobersek 2013-02-28 06:36:00 PST
The test is run properly after the Tools/DumpRenderTree/TestNetscapePlugin/Tests/LogNPPSetWindow.cpp file is added to the build, though the results vary across platforms. For instance, this is the  output on GTK:
CONSOLE MESSAGE: line 3: NPP_SetWindow: non-NULL window, Rect {0, 0, 300, 150}, Clip Rect {0, 0, 0, 0}, Type 1
CONSOLE MESSAGE: line 3: NPP_SetWindow: non-NULL window, Rect {0, 0, 300, 150}, Clip Rect {0, 0, 0, 0}, Type 1
CONSOLE MESSAGE: line 3: NPP_SetWindow: non-NULL window, Rect {0, 0, 300, 150}, Clip Rect {0, 0, 90, 150}, Type 1
Comment 4 John Bauman 2013-03-15 18:01:18 PDT
Ah, looks like it just needs baselines added. The important part is that the clip rect is empty at the beginning and not empty at the end.
Comment 5 Zan Dobersek 2013-03-18 07:16:36 PDT
Fixing the issue on GTK in bug #112570.
Comment 6 Michael Catanzaro 2017-03-11 10:32:26 PST
Closing this bug because the EFL port has been removed from trunk.

If you feel this bug applies to a different upstream WebKit port and was closed in error, please either update the title and reopen the bug, or leave a comment to request this.